#
# spec file for package libretro-mame2003
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libretro-mame2003
Version:        0~git20210529
Release:        150500.1.pm.4
Summary:        MAME 2003 libretro core for arcade emulation
License:        NonFree
URL:            http://www.retroarch.com
Source:         %{name}-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  make

%description
MAME as it was in 2003, using the libretro API. Suitable for lower-end devices
that would struggle to run current versions of MAME (later versions of MAME are
increasingly accurate, thus can perform worse).

This package is for RetroArch/libretro front-end.

%prep
%setup -q

%build
make

%install
mkdir -p %{buildroot}%{_libdir}/libretro
cp mame2003_libretro.so %{buildroot}%{_libdir}/libretro

%files
%dir %{_libdir}/libretro
%{_libdir}/libretro/mame2003_libretro.so

%changelog
* Tue Jun  1 2021 i@guoyunhe.me
- Update to version 0~git20210529:
  * resync
  * Contra protection improvements (#482)
  * Remove libflac and zlib parts that we don't need
  * OpenDingux support (#481)
  * resync libretro-common
  * mip3
  * tms34010
  * TMNT audio decoding
  * umk3 bootstrapped
  * Whitespaces
  * Pal5bit color (#480)
  * pal5bit midtunit
  * Remove extra eob
  * Fix for Sega's Hang-On (#478)
  * A small fix for Hang-On Sprites (#479)
  * List compatibility table
  * White space
  * Spacing cleanup
  * Add ios-arm64/tvos-arm64
  * patch umk3p coin glitch
  * Cclimbr2 (#476)
  * Diverboy (#475)
  * Cheekyms sound improvements (#474)
  * Remove tag
  * Update .gitlab-ci.yml
  * Update .gitlab-ci.yml
  * (MSVC) Embed MSVCR runtime
  * Format make
  * Add MSVC 2005/2010 targets
  * Format Makefile
  * Rot180 confirmed [Corrado Tomaselli] (#473)
  * Shallow dips / inputs
  * Journey inputs / dips
  * (macOS) Set up CROSS_COMPILE for ARM 64bit
  * Add MacOS PowerPC 32-bit (#472)
  * White space removal
  * (Mac) Detection of 'lesser than Mavericks' was wrong
  * Add rule to only add this compatibility flag is OSX version is below Mavericks
  * (macOS) Add x64 and arm64 targets
  * Update .gitlab-ci.yml
  * fix videoram oob access
  * Update mame2003.xml
  * add imperfect graphics
  * Add Raspberry Pi 4 (AArch64)
  * Update .gitlab-ci.yml
  * Remove extra comment
  * Update Makefile
  * Format make
  * Add psp build
  * Only match when found in driver list
  * Clean up
  * house keeping
  * precompile
  * comment out imago
  * clean up
  * Getstar (#471)
  * Update .gitlab-ci.yml
  * Cheekyms color (#470)
  * Galaxian star color range (#469)
  * Pull wii
  * Update .gitlab-ci.yml
  * Cleanup
  * apply_RC_filter audio fix
  * Light cleanup
  * Remove mwup for wiiu
  * Update .gitlab-ci.yml
  * Update .gitlab-ci.yml
  * Speedspn fixed
  * Speedspn fix garbage sprites
  * Funybubl sound and color fix
  * Sbowling color fix
  * Res_net upgrades
  * Findout fix colors
  * Newsin7 color fix
  * Comment out mac for now
  * Try to fix yet another implicit declaration error on OSX
  * Update
  * Use auto_strdup
  * Update
  * Update
  * Push even further
  * Compile as C99 for OSX - strdup is not available in C89 and it makes little sense to compile it as C89 for Mac anyway
  * Use sprintf here to get around the compilation errors
  * Update safarir.c
  * Update mame2003.c
  * Update mame2003.c
  * Update .gitlab-ci.yml
  * add samples back in
  * List samples for now
  * M92 temp fix
  * Revert 1 color change.
  * fix array bounds issue
  * fix array bounds issue
  * Update flicker
  * Update note
  * Fix colors and clock statriv2.c
  * Bagman is 4way
  * Set default
  * Configure pedals
  * Configure pedals
  * Platforms specific rpi0 rpi1
  * Fix
  * offroadc bootstrap enhancement
  * crusnusa bootstrap enhancement
  * vroom vroom gas pedal sensitivity
  * Update mame2003.xml
  * Fix mistake
  * Space, ost
  * Update common.c
  * Dat improvements
  * Ost tag
  * bootstrap crusnu21 crusnu40
  * offroadc update, working, bootstrapped. - arcadeez
  * Fix overflows
  * crusnusa bootstrap
  * Brake is pedal2
  * Reduce volume some
  * Set default
  * Record time speed
  * live pipeline
  * Update README.md
  * Update README.md
  * Max players allowed. 4 players
  * Thunder Cross Fix collisions - port from plus - arcadeez
  * update naming convention to 2003
  * space
  * Superior Soldiers sound reset m92
  * Update palette.h
  * Fix sound FX in Chouji Meikyuu Legion [Nichibutsu]
  * ports from plus
  * Update
  * Add .gitlab-ci.yml
  * libretro-common sync
  * viostorm hiscore.dat names
  * Max players
  * 3 players on
  * max players allowed
  * viostorm viostrmj viostrma bootstrap blood
  * fcommon vita / libnx
  * Sync to plus
  * Don't remove slash at root
  * X-Men Euro description
  * format spacing
  * Popeye video fix - arcadeez port from plus
  * carnevil bootstrap
  * nslashers blood bootstrap
  * revert
  * Update mame2003.xml
  * reduce sensitivity of start trog controls
  * declare / meta
  * night slashers fixup
  * shimpact shimpacp working
  * hiimpact shimpact shimpacp bootstrap
  * Enhancement to fileio
  * fix wiiu directory creation
  * Add slash removal for windows
  * lib-common update
  * updates for libretro common
  * libretro common
  * Small fix Athena
  * typo
  * Update mame2003.xml
  * CHD ERRORS
  * more logging
  * add logging
  * Typo
  * Pointer doesn't need return
  * Remove condition - trailing slash removal beta
  * wii path altered
  * Log new line
  * trailing slash beta
  * fileio spacing sync to plus
  * precompile
  * Small fix
  * fix trailing slash in path
  * Port from 2003plus
  * Update catver.ini
  * Update driver.c
  * success joe added
  * rom name dadandrn
  * Fix speech and sfx sample playback for Ashita no Joe [arcadez ported]
  * luckywld bootstrapped and port fix
  * Update mame2003.xml
  * mmaulers is now parent
  * Update mame2003.xml
  * Update midwunit.c
  * Update mame2003.xml
  * mk2p / umk3p bootstrap
  * Umk3 graphics fix dink / arcadez2003
  * Description
  * Update midtunit.c
  * mk2p and umk3p support
  * nbajam bootstrap
  * totcarn bootstrap
  * Update midyunit.c
  * use correct bindings
  * trog bootstrap support
  * Remove gauntlet from dat
  * Captcomm
  * ddsom bootstrap
  * Update README.md
  * Lgtm
  * Lgtm
  * Loop bug fix
  * Update midwunit.c
  * wwfmania volume
  * 8 new bootstraps
  * Update midxunit.c
  * Update midyunit.c
  * Update midyunit.c
  * Update midyunit.c
  * Update mame2003.xml
  * Update mystwarr.c
  * mmaulers
  * Update bootstrap.c
  * Update bootstrap.c
  * dcs reset set actice low
  * rmpgwt bootstrap
  * Update bootstrap.c
  * Update taito_f3.c
  * Update midtunit.c
  * Update avengrgs.c
  * Update qix.c
  * Update foodf.c
  * Update eeprom.c
  * Update rungun.c
  * Update mystwarr.c
  * Update midyunit.c
  * Update midxunit.c
  * Update bootstrap.h
  * Update bootstrap.c
* Sun Aug  9 2020 i@guoyunhe.me
- Update to version 0~git20200805:
  * Update bootstrap.c
* Sat Jun  6 2020 i@guoyunhe.me
- Update to version 0~git20200518:
  * Update
  * fix cheat input dip switch option
* Sun Feb  9 2020 i@guoyunhe.me
- Update to version 0~git20200112:
  * Remove libretro-common files that are not required
  * Update libretro.h
  * (MSVC) Buildfix
  * (MSVC 2017) Buildfix
  * fix emscripten
  * Fix for speedups on altered beast
  * Format error
  * Some changes on interrupts for Cyclone and DrZ80
  * (VITA) Add Cyclone and DrZ80
  * Cyclone and DrZ80 support
  * Buildfix
  * Comment this out - unused and causes linking errors for statically linked targets
  * Correct way to compare string
* Mon Nov 11 2019 i@guoyunhe.me
- Update to version 0~git20191107:
  * backport 12-bit wrapping behavior fix
* Mon Nov 11 2019 Yunhe Guo <i@guoyunhe.me>
- Change license to NonFree
  * See https://github.com/libretro/mame2010-libretro/issues/137#issuecomment-552253010
* Wed Oct 23 2019 Yunhe Guo <i@guoyunhe.me>
- Initial version
